<?php

namespace Modules\Mall\Http\Resources\Api\Activity;

use App\Api\Resources\BaseCollection;

class ActivityCollection extends BaseCollection
{

    public function toArray($request): array
    {
        return [
            'data' => $this->collection->map(function ($activity) {
                return new ActivityBaseResource($activity);
            }),
            'page' => $this->page(),
        ];
    }

}
